%bcond_with docs

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Name:		libgusb
Summary:	GObject wrapper for libusb1
Summary(ja):	libusb1 用 GObject ラッパー
Version:	0.4.9
Release:	1%{?_dist_release}
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

License:        LGPLv2+
URL:            https://github.com/hughsie/libgusb
Source0:        https://github.com/hughsie/libgusb/releases/download/%{version}/libgusb-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  meson
BuildRequires:  glib2-devel >= 2.32.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  json-glib-devel
BuildRequires:  libusb1-devel >= 1.0.19

%description
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.
This makes it easy to integrate low level USB transfers with your
high-level application or system daemon.

Not everything you can do in libusb1 is wrapped, although we'll accept
feature requests (with patches) if it makes sense. There is some pretty
low hanging fruit if you're interested.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          programming
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%if %{with docs}
%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for %{name}.
%endif


# compat32
%package -n compat32-%{name}
Summary: GObject wrapper for libusb1
Summary(ja): libusb1 用 GObject ラッパー
Group: system,legacy
Requires: %{name} = %{version}-%{release}

%description -n compat32-%{name}
GUsb is a GObject wrapper for libusb1 that makes it easy to do
asynchronous control, bulk and interrupt transfers with proper
cancellation and integration into a mainloop.
This makes it easy to integrate low level USB transfers with your
high-level application or system daemon.

Not everything you can do in libusb1 is wrapped, although we'll accept
feature requests (with patches) if it makes sense. There is some pretty
low hanging fruit if you're interested.

%package -n compat32-%{name}-devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発ファイル
Group: programming,legacy
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-%{name} = %{version}-%{release}
Requires: compat32-glib2-devel
Requires: compat32-libusb1-devel
Requires: compat32-pkgconfig

%description -n compat32-%{name}-devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%debug_package


%prep
%setup -q


%build
%meson \
	-Dvapi=false \
	-Dtests=false \
	-Dumockdev=disabled \
%if %{with docs}
	-Ddocs=true
%else
	-Ddocs=false
%endif

%meson_build


%install
%meson_install


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/%{name}.so.*
%{_libdir}/girepository-1.0/GUsb-1.0.typelib

%files devel
%defattr(-,root,root,-)
%{_bindir}/gusbcmd
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/gusb.pc
%{_includedir}/gusb-1
%{_datadir}/gir-1.0/GUsb-1.0.gir

%if %{with docs}
%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/gusb
%endif

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/%{name}.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/gusb.pc
%endif


%changelog
* Mon Aug 12 2024 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4.9-1
- new upstream release.

* Thu Oct 29 2015 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.7-1
- new upstream release

* Sat Dec 13 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.2.3-1
- new upstream release
- added compat32 subpackages

* Mon Dec 30 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.6-2
- rebuild with VineSeed environment

* Wed Apr 17 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.6-1
- new upstream release
- add BuildRequires: gobject-introspection-devel

* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-1
- new upstream release

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.3-1
- initial build
